# Ogre::CompositorChain::RQListener Class Reference

Render queue listener used to set up rendering events. More...

`#include <OgreCompositorChain.h>`

Inheritance diagram for Ogre::CompositorChain::RQListener:
[legend]

List of all members.

## Public Member Functions

virtual void | renderQueueStarted (uint8 id, const String &invocation, bool &skipThisQueue)
virtual void | renderQueueEnded (uint8 id, const String &invocation, bool &repeatThisQueue)
void | setOperation (CompositorInstance::TargetOperation *op, SceneManager *sm, RenderSystem *rs)
| Set current operation and target.
void | notifyViewport (Viewport *vp)
| Notify current destination viewport.
void | flushUpTo (uint8 id)
| Flush remaining render system operations.
virtual void | preRenderQueues ()
| Event raised before all render queues are processed.
virtual void | postRenderQueues ()
| Event raised after all render queues are processed.

## Private Attributes

CompositorInstance::TargetOperation * | mOperation
SceneManager * | mSceneManager
RenderSystem * | mRenderSystem
Viewport * | mViewport
CompositorInstance::RenderSystemOpPairs::iterator | currentOp
CompositorInstance::RenderSystemOpPairs::iterator | lastOp

## Detailed Description

Render queue listener used to set up rendering events.

Definition at line 190 of file OgreCompositorChain.h.

## Member Function Documentation

void Ogre::CompositorChain::RQListener::flushUpTo | ( | uint8 | id | ) |

Flush remaining render system operations.

void Ogre::CompositorChain::RQListener::notifyViewport | ( | Viewport * | vp | ) |

Notify current destination viewport.

Definition at line 204 of file OgreCompositorChain.h.

virtual void Ogre::RenderQueueListener::postRenderQueues | ( |  | ) | `[virtual, inherited]`

Event raised after all render queues are processed.

Definition at line 66 of file OgreRenderQueueListener.h.

virtual void Ogre::RenderQueueListener::preRenderQueues | ( |  | ) | `[virtual, inherited]`

Event raised before all render queues are processed.

Definition at line 63 of file OgreRenderQueueListener.h.

virtual void Ogre::CompositorChain::RQListener::renderQueueEnded | ( | uint8 | id,
|  | const String & | invocation,
|  | bool & | repeatThisQueue
| ) |  | `[virtual]`

Event raised after a queue group is rendered.

Remarks:
  This method is called by the SceneManager after each queue group is rendered.

Parameters:

  queueGroupId | The id of the queue group which has just been rendered
  invocation | Name of the invocation which is causing this to be called (

See also:
  RenderQueueInvocation)

Parameters:

  repeatThisInvocation | A boolean passed by reference which is by default set to false. If the event sets this to true, the queue which has just been rendered will be repeated, and the renderQueueStarted and renderQueueEnded events will also be fired for it again.

Reimplemented from Ogre::RenderQueueListener.

virtual void Ogre::CompositorChain::RQListener::renderQueueStarted | ( | uint8 | id,
|  | const String & | invocation,
|  | bool & | skipThisQueue
| ) |  | `[virtual]`

Event raised before a queue group is rendered.

Remarks:
  This method is called by the SceneManager before each queue group is rendered.

Parameters:

  queueGroupId | The id of the queue group which is about to be rendered
  invocation | Name of the invocation which is causing this to be called (

See also:
  RenderQueueInvocation)

Parameters:

  skipThisInvocation | A boolean passed by reference which is by default set to false. If the event sets this to true, the queue will be skipped and not rendered. Note that in this case the renderQueueEnded event will not be raised for this queue group.

Reimplemented from Ogre::RenderQueueListener.

void Ogre::CompositorChain::RQListener::setOperation | ( | CompositorInstance::TargetOperation * | op,
|  | SceneManager * | sm,
|  | RenderSystem * | rs
| ) |  |

Set current operation and target.

## Member Data Documentation

CompositorInstance::RenderSystemOpPairs::iterator Ogre::CompositorChain::RQListener::currentOp`[private]`

Definition at line 213 of file OgreCompositorChain.h.

CompositorInstance::RenderSystemOpPairs::iterator Ogre::CompositorChain::RQListener::lastOp`[private]`

Definition at line 213 of file OgreCompositorChain.h.

CompositorInstance::TargetOperation* Ogre::CompositorChain::RQListener::mOperation`[private]`

Definition at line 209 of file OgreCompositorChain.h.

RenderSystem* Ogre::CompositorChain::RQListener::mRenderSystem`[private]`

Definition at line 211 of file OgreCompositorChain.h.

SceneManager* Ogre::CompositorChain::RQListener::mSceneManager`[private]`

Definition at line 210 of file OgreCompositorChain.h.

Viewport* Ogre::CompositorChain::RQListener::mViewport`[private]`

Definition at line 212 of file OgreCompositorChain.h.

The documentation for this class was generated from the following file:

- OgreCompositorChain.h

Copyright © 2008 Torus Knot Software Ltd
This work is licensed under a Creative Commons Attribution-ShareAlike 3.0 Unported License.
Last modified Sun May 8 2011 20:28:11